<html lang="ja">

<head>
    <meta charset="UTF-8">
    <title>詳細</title>
    <link rel="stylesheet" href="css/profile.css">
</head>

<body>
    <header>
        <div class="container">
            <div class="header-list">
                <nav>
                    <a href="#">HOME</a>
                    <a href="#">POST</a>
                    <a href="#">MESSAGE</a>
                    <a href="#">PROFILE</a>
                    <a href="#">NEWUSER</a>
                    <a href="#">LOGOUT</a>
                    <div class="animation start-home"></div>
                </nav>
            </div>
        </div>
    </header>

    <h1 style="text-align: center">ユーザー情報</h1>
    <div class="box">
        <form class="setting">
            <input type="file" onchange="preview(event)" accept="image/*" id="change" style="display: none">
            <img src="%E7%A4%BE%E9%95%B7%E3%81%AE%E3%82%A2%E3%82%A4%E3%82%B3%E3%83%B3.png" id="img"><br>
            <label for="change">プロフィール写真を変更</label>
            <div class="textbox">
                <label>ログインID</label>
                <input type="text" placeholder="LoginID" name="" value="" class="text1">
            </div>
            <div class="textbox">
                <label>名前</label>
                <input type="text" placeholder="name" name="" value="" class="text1">
            </div>
            <div class="textbox">
                <label>パスワード</label>
                <input type="text" placeholder="password" name="" value="" class="text1">
            </div>
            <button class="button btn1" type=submit name="action">更新</button>
        </form>

        <div class="next">
            <button class="button btn1" type=submit name="action">お気にいりを見る</button>
            <button class="button btn1" type=submit name="action" style="margin-top: 50px;">予約を確認</button>
        </div>
    </div>

    <script>
        function preview(event) {
            alert("プロフィール写真を変更します");
            var input = event.target.files[0];
            var reader = new FileReader();
            reader.onload = function() {
                var result = reader.result;
                var img = document.getElementById('img');
                console.log(img);
                img.src = result;
            }
            reader.readAsDataURL(input);
        }
    </script>

</body></html>